Exchange Intregration not working anymore in 6.0?

Infos:

  • Used Zammad version: 6.0.0.
  • Used Zammad installation type: package
  • Operating system: Ubuntu Bionic
  • Browser + version: Firefox, Edge & Chrome, current

Expected behavior:

  • Exchange 2019 integration for contacts management syncronisation worked in the past as a charm
  • wie noticed it now, not when making the upgrade last year :frowning:

Actual behavior:

  • Contact fields from Exchange public folder are missing (e.g. phone_numbers.mobilephone), worked in the past with 5.x
  • Assitant fails at the end with “undefined method `source’ for nil:NilClass return if !%r{^Ldap::(\d+)$}.match?(user.source)”
  • Old “5.x” integration converted to 6.0 fails with “Es ist ein Fehler aufgetreten: Unauthorized request” (

Steps to reproduce the behavior:

  • Try to create an exchange integration on an exisiting or completly new instance,

Regards

Henry

Hi @Boskop196. Can you please check your production.log? What is logged there if the integration is running? Exchange integration is working fine here btw.